::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
:: Date:   August 2013                                                       :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Extract embedded files from a PDF document. Each in a separate file.
::

@echo off
setlocal
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*;%CLASSPATH%
set CLASSPATH=../lib/itext-5.5.1/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.ExtractEmbeddedFiles
set OUT_DIR=../tmp
set IN_FILE=../pdf/embeddedfiles/kubrick_dvds.pdf
set PASSWD=

set IN_FILE=../pdf/content/diverseContentOnMultiplePages_encrypted.pdf
set PASSWD=user-password

java  %TOOL%  %IN_FILE%  %OUT_DIR%  %PASSWD%

echo Extracted files have the name prefix '_embedded-file.out...' in folder '%OUT_DIR%'.
echo If the PDF does not have embedded files, no files will be created.
endlocal
