#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Extract embedded files from a PDF document. Each in a separate output file.
#

export CLASSPATH=../lib/pdfunit-2015.10_java-1.7:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=../lib/itext-5.5.1/*:$CLASSPATH

export TOOL=com.pdfunit.tools.ExtractEmbeddedFiles
export IN_FILE=../pdf/embeddedfiles/kubrick_dvds.pdf
export OUT_DIR=../tmp

java  $TOOL  $IN_FILE  $OUT_DIR

echo Extracted files have the name prefix '_embedded-file.out...' in folder '../tmp'.
echo If the PDF does not have embedded files, no files will be created.
