::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
:: Date:   August 2013                                                       :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Render a part of a PDF page into an image file.
::

@echo off
setlocal
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/jpedal/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/aspectj-1.8.0/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.RenderPdfClippingAreaToImage
set PAGENUMBER=1
set OUT_DIR=../tmp
set IN_FILE=../pdf/content/documentForTextClipping.pdf
set PASSWD=

set IN_FILE=../pdf/content/diverseContentOnMultiplePages_encrypted.pdf
set PASSWD=user-password

::  Format unit can only be 'mm' or 'points'
set FORMATUNIT=mm
set UPPERLEFTX=15
set UPPERLEFTY=65
set WIDTH=160
set HEIGHT=130

java  %TOOL%  %IN_FILE%  %PAGENUMBER%  %OUT_DIR%  %FORMATUNIT%  %UPPERLEFTX%  %UPPERLEFTY%  %WIDTH%  %HEIGHT%  %PASSWD%

echo a file with the prefix '_rendered_' was created
endlocal
