#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Render a part of a PDF page into an image file.
#
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/jpedal/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/aspectj-1.8.0/*:$CLASSPATH

export TOOL=com.pdfunit.tools.RenderPdfClippingAreaToImage
export PAGENUMBER=1
export OUT_DIR=../tmp
export IN_FILE=../pdf/content/documentForTextClipping.pdf
export PASSWD=

#  Format unit can only be 'mm' or 'points'
export FORMATUNIT=mm
export UPPERLEFTX=15
export UPPERLEFTY=65
export WIDTH=160
export HEIGHT=130

java  $TOOL  $IN_FILE  $PAGENUMBER  $OUT_DIR  $FORMATUNIT  $UPPERLEFTX  $UPPERLEFTY  $WIDTH  $HEIGHT  $PASSWD

echo a file with the prefix '_rendered_' was created
