#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
#
# Verify the installation of PDFUnit.
#
#
export PDFUNIT_HOME=$PWD
#
# Change the installation directories depending on your situation:
#
export ASPECTJ_HOME=$PDFUNIT_HOME/lib/aspectj-1.8.0
export BOUNCYCASTLE_HOME=$PDFUNIT_HOME/lib/bouncycastle-jdk15on-150
export COMMONSLOGGING_HOME=$PWD/lib/commons-logging-1.1
export ITEXT_HOME=$PWD/lib/itext-5.5.1
export JPEDAL_HOME=$PDFUNIT_HOME/lib/jpedal
export PDFBOX_HOME=$PWD/lib/pdfbox-1.8.0
export VIP_HOME=$PWD/lib/vip-1.0.0
export XMLUNIT_HOME=$PDFUNIT_HOME/lib/xmlunit-2.0-alpha_customized
#
export CLASSPATH=
export CLASSPATH=$ASPECTJ_HOME%/*:$CLASSPATH
export CLASSPATH=$BOUNCYCASTLE_HOME%/*:$CLASSPATH
export CLASSPATH=$COMMONSLOGGING_HOME%/*:$CLASSPATH
export CLASSPATH=$ITEXT_HOME%/*:$CLASSPATH
export CLASSPATH=$JPEDAL_HOME%/*:$CLASSPATH
export CLASSPATH=$PDFBOX_HOME%/*:$CLASSPATH
export CLASSPATH=$VIP_HOME%/*:$CLASSPATH
export CLASSPATH=$XMLUNIT_HOME%/*:$CLASSPATH
#
:: The folder of PDFUnit-Java:
export CLASSPATH=$PDFUNIT_HOME:$CLASSPATH
:: The JAR files of PDFUnit-Java:
export CLASSPATH=$PDFUNIT_HOME/*:$CLASSPATH
#
# Run installation verification:
java org.verifyinstallation.VIPMain --in verifyInstallation.vip  --out verifyInstallation_result.html
