<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: _pdfunit.xslt 3781 2015-12-12 19:00:31Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <!-- 
    This stylesheet is processed with the ANT task <xslt>, which provides 
    the filename of every processed xml file. The name of the xml files is 
    used as the name of the generated Java class.
  -->
  <xsl:param name="fileName" />
  <xsl:output method="text" encoding="UTF-8" byte-order-mark="no" />

  <!-- ============================================================ -->
  <!-- Include all the individual testcase templates.               -->
  <!-- ============================================================ -->
  <xsl:include href="main.xslt" />
  <xsl:include href="constants.xslt" />
  <xsl:include href="namedTemplates.xslt" />
  <xsl:include href="commonTemplates.xslt" />
  
  <xsl:include href="acrofields.xslt"  />

  <xsl:include href="actionAny.xslt"  />
  <xsl:include href="actionChained.xslt"  />
  <xsl:include href="actionDocumentClose.xslt"  />
  <xsl:include href="actionDocumentOpen.xslt"  />
  <xsl:include href="actionDocumentPrint.xslt"  />
  <xsl:include href="actionDocumentSave.xslt"  />
  <xsl:include href="actionImportData.xslt"  />
  <xsl:include href="actionLocalGoto.xslt"  />
  <xsl:include href="actionRemoteGoto.xslt"  />
  <xsl:include href="actionJavaScript.xslt"  />
  <xsl:include href="actionLaunch.xslt"  />
  <xsl:include href="actionURI.xslt"  />

  <xsl:include href="author.xslt"  />
  <xsl:include href="bookmark.xslt"  />
  <xsl:include href="certificationLevel.xslt"  />

  <xsl:include href="compareToMasterActions.xslt"  />
  <xsl:include href="compareToMasterBookmarks.xslt"  />
  <xsl:include href="compareToMasterCompliance.xslt"  />
  <xsl:include href="compareToMasterText.xslt"  />
  <xsl:include href="compareToMasterDocumentProperties.xslt"  />
  <xsl:include href="compareToMasterEmbeddedFiles.xslt"  />
  <xsl:include href="compareToMasterFields.xslt"  />
  <xsl:include href="compareToMasterFonts.xslt"  />
  <xsl:include href="compareToMasterFastWebView.xslt"  />
  <xsl:include href="compareToMasterFormat.xslt"  />
  <xsl:include href="compareToMasterImages.xslt"  />
  <xsl:include href="compareToMasterJavaScript.xslt"  />
  <xsl:include href="compareToMasterLayer.xslt"  />
  <xsl:include href="compareToMasterNamedDestination.xslt"  />
  <xsl:include href="compareToMasterPagenumber.xslt"  />
  <xsl:include href="compareToMasterPermissions.xslt"  />
  <xsl:include href="compareToMasterRenderedPage.xslt"  />
  <xsl:include href="compareToMasterSignature.xslt"  />
  <xsl:include href="compareToMasterTaggingInfo.xslt"  />
  <xsl:include href="compareToMasterTrappingInfo.xslt"  />
  <xsl:include href="compareToMasterXFAData.xslt"  />
  <xsl:include href="compareToMasterXMPData.xslt"  />

  <!-- 
  TODO this test feature is not complete and will be reactivated 
       on a later release:
  <xsl:include href="compliance.xslt"  />
  -->
  
  <xsl:include href="creationDate.xslt"  />
  <xsl:include href="creator.xslt"  />
  <xsl:include href="eachDocument.xslt" />
  <xsl:include href="embeddedfiles.xslt"  />
  <xsl:include href="encryption.xslt" />
  <xsl:include href="fastwebview.xslt"  />
  <xsl:include href="fonts.xslt"  />
  <xsl:include href="format.xslt"  />
  <xsl:include href="images.xslt"  />
  <xsl:include href="installation.xslt"  />
  <xsl:include href="javascript.xslt"  />
  <xsl:include href="keywords.xslt"  />
  <xsl:include href="language.xslt"  />
  <xsl:include href="layer.xslt"  />
  <xsl:include href="modificationDate.xslt"  />
  <xsl:include href="namedAction.xslt"  />
  <xsl:include href="namedDestination.xslt"  />
  <xsl:include href="pagenumber.xslt"  />
  <xsl:include href="permission.xslt"  />
  <xsl:include href="producer.xslt"  />
  <xsl:include href="property.xslt"  />
  <xsl:include href="renderedPage.xslt"  />
  <xsl:include href="resetFormAction.xslt"  />
  <xsl:include href="signature.xslt"  />
  <xsl:include href="stringCompare.xslt" />
  <xsl:include href="subject.xslt"  />
  <xsl:include href="submitFormAction.xslt"  />
  <xsl:include href="tagged.xslt"  />
  <xsl:include href="text.xslt"  />
  <xsl:include href="title.xslt"  />
  <xsl:include href="trapping.xslt"  />
  <xsl:include href="version.xslt"  />
  <xsl:include href="xfadata.xslt"  />
  <xsl:include href="xmpdata.xslt"  />
  
</xsl:stylesheet>