<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: acrofields.xslt 3738 2015-12-11 13:42:14Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasNumberOfFields">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@withName" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />
    <xsl:if test="@withType">
      <xsl:text>              .</xsl:text>
      <xsl:text>withType(</xsl:text>
      <xsl:value-of select="@withType" />  
      <xsl:text>)</xsl:text>
      <xsl:value-of select="$BREAK" />
    </xsl:if>
    <xsl:if test="@hasMultipleLines">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichHasMultipleLines()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@hasSingleLine">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichHasSingleLine()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isEditable = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsEditable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isEditable = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotEditable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isExportable = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsExportable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isExportable = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotExportable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isHidden = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsHidden()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isHidden = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotHidden()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isMultiSelectable = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsMultiSelectable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isMultiSelectable = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotMultiSelectable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isPasswordProtected">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsPasswordProtected()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isReadOnly = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsReadOnly()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isReadOnly = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotReadOnly()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isPrintable = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsPrintable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isPrintable = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotPrintable()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isRequired = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsRequired()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isRequired = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotRequired()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isSigned = 'YES'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsSigned()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isVisible = 'YES'">
      <xsl:text>              .</xsl:text>  <!-- TODO create a constant for it: INDENTATION -->
      <xsl:text>whichIsVisible()</xsl:text> <!--      and replace all occurrences in the project. -->
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@isVisible = 'NO'">
      <xsl:text>              .</xsl:text>
      <xsl:text>whichIsNotVisible()</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@width">
      <xsl:text>              .</xsl:text>
      <xsl:text>withWidth(</xsl:text>
      <xsl:value-of select="@width" />  
      <xsl:if test="@unit">
        <xsl:text>, FormatUnit.</xsl:text>
        <xsl:value-of select="@unit" />  
      </xsl:if>
      <xsl:text>)</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:if test="@height">
      <xsl:text>              .</xsl:text>
      <xsl:text>withHeight(</xsl:text>
      <xsl:value-of select="@height" />
      <xsl:if test="@unit">
        <xsl:text>, FormatUnit.</xsl:text>
        <xsl:value-of select="@unit" />  
      </xsl:if>
      <xsl:text>)</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:hasFields">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:hasSignedSignatureFields">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasUnsignedSignatureFields">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:matchingComplete">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:matchingRegex">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />  <!-- no normalization for regex -->
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:notMatchingRegex">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />  <!-- no normalization for regex -->
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:containing">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:notContaining">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:startingWith">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:endingWith">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:havingJavaScriptAction">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />  
    <xsl:text>("</xsl:text>
    <xsl:value-of select="normalize-space(.)" />  
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:withAnyValue">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />  
    <xsl:text>(</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasField/p:withoutTextOverflow">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />  
    <xsl:text>(</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <!-- TODO same as for bookmarks -->
  <xsl:template match="p:hasFields/p:matchingXML">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@file" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <!-- TODO same as for bookmarks -->
  <xsl:template match="p:hasFields/p:matchingXPath">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>new XPathExpression(</xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@expr" />
    <xsl:text>"</xsl:text>
    <xsl:if test="@defaultNamespace">
      <xsl:text>, </xsl:text>
      <xsl:text>new DefaultNamespace(</xsl:text>
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@defaultNamespace" />
      <xsl:text>"</xsl:text>
      <xsl:text>)</xsl:text>
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:if test="@withResultType">
      <xsl:text>, </xsl:text>
      <xsl:text>AS_RESULTTYPE_</xsl:text>
      <xsl:value-of select="@withResultType" />
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

  <xsl:template match="p:hasFields/p:allWithoutDuplicateNames">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasFields/p:allWithoutTextOverflow">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>