<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: bookmark.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:import href="namedTemplates.xslt"/>

  <xsl:template match="p:hasNumberOfBookmarks">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasBookmark">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:choose>
      <xsl:when test="@withLabel and @linkingToPage">
        <xsl:text>.withLabelLinkingToPage("</xsl:text>
        <xsl:value-of select="@withLabel" />
        <xsl:text>", </xsl:text>
        <xsl:value-of select="@linkingToPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@withoutDeadLink">
        <xsl:text>.withoutDeadLink()</xsl:text>
      </xsl:when>
      <xsl:when test="@withLabel">
        <xsl:variable name="labelWithEscapedDoubleQuotes">
          <xsl:call-template name="escapeDoubleQuoteForJava">
            <xsl:with-param name="text" select="@withLabel" />
          </xsl:call-template>
        </xsl:variable>
        <xsl:text>.withLabel("</xsl:text>
        <xsl:value-of select="$labelWithEscapedDoubleQuotes" /> 
        <xsl:text>")</xsl:text>
      </xsl:when>
      <xsl:when test="@withLinkToName">
        <xsl:text>.withLinkToName("</xsl:text>
        <xsl:value-of select="@withLinkToName" />
        <xsl:text>")</xsl:text>
      </xsl:when>
      <xsl:when test="@withLinkToURI">
        <xsl:text>.withLinkToURI("</xsl:text>
        <xsl:value-of select="@withLinkToURI" />
        <xsl:text>")</xsl:text>
      </xsl:when>
      <xsl:when test="@withLinkToPage">
        <xsl:text>.withLinkToPage(</xsl:text>
        <xsl:value-of select="@withLinkToPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasBookmarks">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:hasBookmarks/p:matchingXML">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@file" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasBookmarks/p:matchingXPath">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>new XPathExpression(</xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@expr" />
    <xsl:text>"</xsl:text>
    <xsl:if test="@defaultNamespace">
      <xsl:text>, </xsl:text>
      <xsl:text>new DefaultNamespace(</xsl:text>
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@defaultNamespace" />
      <xsl:text>"</xsl:text>
      <xsl:text>)</xsl:text>
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:if test="@withResultType">
      <xsl:text>, </xsl:text>
      <xsl:text>AS_RESULTTYPE_</xsl:text>
      <xsl:value-of select="@withResultType" />
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

</xsl:stylesheet>