<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: compareToMasterImages.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <!-- 
    This template works for any empty element and for every element,
    which has the right name and no sub elements.
  -->
  <xsl:template match="p:haveSameNumberOfImages">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:apply-templates select="@*" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:haveSameImages">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:apply-templates select="@*" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:haveSameImages/@* | p:haveSameNumberOfImages/@*">
    <xsl:choose>
      <xsl:when test="name(.) = 'on'">
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="." />
      </xsl:when>
      <xsl:when test="name(.) = 'onPage'">
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onEveryPageAfter'">
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onEveryPageBefore'">
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onAnyPageAfter'">
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onAnyPageBefore'">
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>