<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: compareToMasterRenderedPage.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:haveSameAppearance">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    
    <xsl:choose>
      <xsl:when test="@on">
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="@on" />
      </xsl:when>
      <xsl:when test="@onPage">
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="@onPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageAfter">
        <xsl:text>ON_EVERY_PAGE_AFTER.page(</xsl:text>
        <xsl:value-of select="@onEveryPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageBefore">
        <xsl:text>ON_EVERY_PAGE_BEFORE.page(</xsl:text>
        <xsl:value-of select="@onEveryPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageAfter">
        <xsl:text>ON_ANY_PAGE_AFTER.page(</xsl:text>
        <xsl:value-of select="@onAnyPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageBefore">
        <xsl:text>ON_ANY_PAGE_BEFORE.page(</xsl:text>
        <xsl:value-of select="@onAnyPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>

    <xsl:apply-templates select="*" />
    
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>