<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: compareToMasterXFAData.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <!-- 
    This template works for any empty element and for every element,
    which has the right name and no sub elements.
  -->
  <xsl:template match="p:haveSameXFAData">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />
    <xsl:apply-templates select="*"/>
  </xsl:template>

  <xsl:template match="p:haveSameXFAData/p:matchingXPath">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>new XPathExpression(</xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@expr" />
    <xsl:text>"</xsl:text>
    <xsl:if test="@defaultNamespace">
      <xsl:text>, </xsl:text>
      <xsl:text>new DefaultNamespace(</xsl:text>
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@defaultNamespace" />
      <xsl:text>"</xsl:text>
      <xsl:text>)</xsl:text>
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:text>, </xsl:text>
    <xsl:text>AS_RESULTTYPE_</xsl:text>
    <xsl:value-of select="@withResultType" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

</xsl:stylesheet>