<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: creationDate.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasCreationDate">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:if test="@withDate">
      <xsl:value-of select="$BREAK" />  
      <xsl:text>              .matchingComplete</xsl:text>
      <xsl:text>(</xsl:text>
      <xsl:choose>
        <xsl:when test="@resolution = 'DATETIME'">
          <xsl:text>DateHelper.getCalendar("</xsl:text>
          <xsl:value-of select="@withDate" />
          <xsl:text>", "yyyy-MM-dd'T'HH:mm:ss")</xsl:text>
          <xsl:text>, </xsl:text>
          <xsl:text>AS_DATETIME</xsl:text>
          <xsl:text>)</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>DateHelper.getCalendar("</xsl:text>
          <xsl:value-of select="@withDate" />
          <xsl:text>", "yyyy-MM-dd")</xsl:text>
          <xsl:text>, </xsl:text>
          <xsl:text>AS_DATE</xsl:text>
          <xsl:text>)</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <!-- FIXME change this, the same way, as the template above -->
  <xsl:template match="p:hasCreationDateBefore">
    <xsl:text>              .</xsl:text>
    <xsl:text>hasCreationDate()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:text>              .before</xsl:text>
    <xsl:text>(</xsl:text>
    <xsl:choose>
      <xsl:when test="@resolution = 'DATETIME'">
        <xsl:text>DateHelper.getCalendar("</xsl:text>
        <xsl:value-of select="@withDate" />
        <xsl:text>", "yyyy-MM-dd'T'HH:mm:ss")</xsl:text>
        <xsl:text>, </xsl:text>
        <xsl:text>AS_DATETIME</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>DateHelper.getCalendar("</xsl:text>
        <xsl:value-of select="@withDate" />
        <xsl:text>", "yyyy-MM-dd")</xsl:text>
        <xsl:text>, </xsl:text>
        <xsl:text>AS_DATE</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <!-- FIXME change this, the same way, as the template above -->
  <xsl:template match="p:hasCreationDateAfter">
    <xsl:text>              .</xsl:text>
    <xsl:text>hasCreationDate()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:text>              .after</xsl:text>
    <xsl:text>(</xsl:text>
    <xsl:choose>
      <xsl:when test="@resolution = 'DATETIME'">
        <xsl:text>DateHelper.getCalendar("</xsl:text>
        <xsl:value-of select="@withDate" />
        <xsl:text>", "yyyy-MM-dd'T'HH:mm:ss")</xsl:text>
        <xsl:text>, </xsl:text>
        <xsl:text>DateResolution.DATETIME</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>DateHelper.getCalendar("</xsl:text>
        <xsl:value-of select="@withDate" />
        <xsl:text>", "yyyy-MM-dd")</xsl:text>
        <xsl:text>, </xsl:text>
        <xsl:text>DateResolution.DATE</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasNoCreationDate">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>