<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: eachDocument.xslt 3736 2015-12-11 12:30:28Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:assertThatEachDocument">
    <xsl:call-template name="fileNameArrayDeclaration" />
    <xsl:call-template name="urlArrayDeclaration" />
    <xsl:text>    AssertThat.eachDocument(documents</xsl:text>
    <xsl:apply-templates select="@withPassword" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template name="fileNameArrayDeclaration">
    <xsl:if test="p:pdf[not(@isURL)]">
      <xsl:for-each select="p:pdf">
        <xsl:text>    String file_</xsl:text>
        <xsl:number count="p:pdf" />
        <xsl:text> = </xsl:text>
        <xsl:text>"</xsl:text>
        <xsl:value-of select="@name" />
        <xsl:text>";</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:for-each>
  
      <xsl:text>    String[] documents = </xsl:text>
      <xsl:text>{</xsl:text>
      <xsl:for-each select="p:pdf">
        <xsl:value-of select="$BREAK" />  
        <xsl:text>                          file_</xsl:text>
        <xsl:number count="p:pdf" />
        <xsl:choose>
          <xsl:when test="position() = last()">
            <xsl:value-of select="$BREAK" />  
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>, </xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
      <xsl:text>                         };</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
  </xsl:template>

  <xsl:template name="urlArrayDeclaration">
    <xsl:if test="p:pdf[@isURL]">
      <xsl:for-each select="p:pdf">
        <xsl:text>    URL url_</xsl:text>
        <xsl:number count="p:pdf" />
        <xsl:text> = new URL(</xsl:text>
        <xsl:text>"</xsl:text>
        <xsl:value-of select="@name" />
        <xsl:text>");</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:for-each>
  
      <xsl:text>    URL[] documents = </xsl:text>
      <xsl:text>{</xsl:text>
      <xsl:for-each select="p:pdf">
        <xsl:value-of select="$BREAK" />  
        <xsl:text>                       url_</xsl:text>
        <xsl:number count="p:pdf" />
        <xsl:choose>
          <xsl:when test="position() = last()">
            <xsl:value-of select="$BREAK" />  
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>, </xsl:text>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
      <xsl:text>                      };</xsl:text>
      <xsl:value-of select="$BREAK" />  
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>