<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: fonts.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasNumberOfFonts">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>, IDENTIFIEDBY_</xsl:text>
    <xsl:value-of select="@identifiedBy" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasFont">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:choose>
      <xsl:when test="@withNameContaining">
        <xsl:text>.withNameContaining("</xsl:text>
        <xsl:value-of select="@withNameContaining" />
        <xsl:text>")</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@withNameNotContaining">
        <xsl:text>.withNameNotContaining("</xsl:text>
        <xsl:value-of select="@withNameNotContaining" />
        <xsl:text>")</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="p:hasFonts">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:apply-templates select="* | @*" />
  </xsl:template>

  <xsl:template match="p:hasFonts/@ofThisTypeOnly">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>FONTTYPE_</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasFonts/p:matchingXML">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@file" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasFonts/p:matchingXPath">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>new XPathExpression(</xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@expr" />
    <xsl:text>"</xsl:text>
    <xsl:if test="@defaultNamespace">
      <xsl:text>, </xsl:text>
      <xsl:text>new DefaultNamespace(</xsl:text>
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@defaultNamespace" />
      <xsl:text>"</xsl:text>
      <xsl:text>)</xsl:text>
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:if test="@withResultType">
      <xsl:text>, </xsl:text>
      <xsl:text>AS_RESULTTYPE_</xsl:text>
      <xsl:value-of select="@withResultType" />
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>


</xsl:stylesheet>