<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: format.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasFormat">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:choose>
      <xsl:when test="@format and @on">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="@on" />
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@format and @onPage">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="@onPage" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@format and @onEveryPageAfter">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="@onEveryPageAfter" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@format and @onEveryPageBefore">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="@onEveryPageBefore" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@format and @onAnyPageAfter">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="@onAnyPageAfter" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <!-- TODO the same code is generated by 
        'textContent.xslt',
        'renderedPage.xslt'
        'images.xslt' 
        'compareToMasterImages'
        'compareToMasterFormat'
      -->
      <xsl:when test="@format and @onAnyPageBefore">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="@onAnyPageBefore" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@format">
        <xsl:text>(DocumentFormat.</xsl:text>
        <xsl:value-of select="@format" />
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
      <xsl:when test="@width or @height">
        <xsl:text>(new DocumentFormat(</xsl:text>
        <xsl:value-of select="@width" />
        <xsl:text>, </xsl:text>
        <xsl:value-of select="@height" />
        <xsl:text>, </xsl:text>
        <xsl:text>FormatUnit.</xsl:text>
        <xsl:value-of select="@unit" />
        <xsl:text>)</xsl:text>
        <xsl:text>)</xsl:text>
        <xsl:value-of select="$BREAK" />  
      </xsl:when>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>