<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: images.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasNumberOfDifferentImages">
    <xsl:text>              .hasNumberOfDifferentImages(</xsl:text>
    <xsl:value-of select="." />  
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasNumberOfVisibleImages">
    <xsl:text>              .hasNumberOfVisibleImages(</xsl:text>
    <xsl:value-of select="." />  

    <!-- TODO avoid redundancy -->
    <xsl:choose>
      <xsl:when test="@on">
        <xsl:text>, </xsl:text>
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="@on" />
      </xsl:when>
      <xsl:when test="@onPage">
        <xsl:text>, </xsl:text>
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="@onPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="@onEveryPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="@onEveryPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="@onAnyPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="@onAnyPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>

    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:containsImage">
    <xsl:text>              .containsImage(</xsl:text>
    
    <xsl:choose>
      <xsl:when test="@file">
        <xsl:text>"</xsl:text>
        <xsl:value-of select="@file" />  
        <xsl:text>"</xsl:text>
      </xsl:when>
    </xsl:choose>
    
    <!-- TODO avoid redundancy -->
    <xsl:choose>
      <xsl:when test="@on">
        <xsl:text>, </xsl:text>
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="@on" />
      </xsl:when>
      <xsl:when test="@onPage">
        <xsl:text>, </xsl:text>
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="@onPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="@onEveryPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="@onEveryPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="@onAnyPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="@onAnyPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>

    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

<!--
  public void containsOneOfManyImages() throws Exception {
    BufferedImage signatureAlex = ImageHelper.getAsImage(PATH + "images/signature-alex.png");
    BufferedImage signatureBob  = ImageHelper.getAsImage(PATH + "images/signature-bob.png");
    BufferedImage[] allPossibleImages = {signatureAlex, signatureBob};

    String documentSignedByAlex = PATH + "images/letter-signed-by-alex.pdf";
    AssertThat.document(documentSignedByAlex)
              .containsOneImageOf(allPossibleImages, ON_LAST_PAGE)
    ;
    
    String documentSignedByBob = PATH + "images/letter-signed-by-bob.pdf";
    AssertThat.document(documentSignedByBob)
              .containsOneImageOf(allPossibleImages, ON_LAST_PAGE)
    ;
  }
-->

  <xsl:template match="p:containsOneOfTheseImages">
    <!-- Attention, the generated name is not the tag name: -->
    <xsl:text>              .containsOneImageOf(new BufferedImage[]</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:text>                                  </xsl:text>
    
    <xsl:text>{ </xsl:text>
    <xsl:for-each select="./p:image">
      <xsl:text>ImageHelper.getAsImage("</xsl:text>
      <xsl:value-of select="@file" />
      <xsl:text>")</xsl:text>
      <xsl:if test="not(position() = last())">
        <xsl:value-of select="$BREAK" />
        <xsl:text>                                  </xsl:text>
        <xsl:text> ,</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:value-of select="$BREAK" />  
    <xsl:text>                                  </xsl:text>
    <xsl:text>}</xsl:text>
    
    <!-- TODO avoid redundancy -->
    <xsl:choose>
      <xsl:when test="@on">
        <xsl:text>, </xsl:text>
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="@on" />
      </xsl:when>
      <xsl:when test="@onPage">
        <xsl:text>, </xsl:text>
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="@onPage" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="@onEveryPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onEveryPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="@onEveryPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageAfter">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="@onAnyPageAfter" />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="@onAnyPageBefore">
        <xsl:text>, </xsl:text>
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="@onAnyPageBefore" />
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>

    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>