<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: namedDestination.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:import href="namedTemplates.xslt"/>

  <xsl:template match="p:hasNamedDestination">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:hasNamedDestination/p:withName">
    <xsl:variable name="nameWithEscapedDoubleQuotes">
      <xsl:call-template name="escapeDoubleQuoteForJava">
        <xsl:with-param name="text" select="." />
      </xsl:call-template>
    </xsl:variable>

    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="$nameWithEscapedDoubleQuotes" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

  <!-- The origin of this template is http://geekswithblogs.net/Erik/archive/2008/04/01/120915.aspx -->
  
</xsl:stylesheet>