<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: renderedPage.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:asRenderedPage">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:apply-templates select="@*" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:asRenderedPage/p:isEqualTo[@positionUpperLeftX]">
    <xsl:text>              .</xsl:text>
    <xsl:text>isEqualToImage(</xsl:text>

    <xsl:value-of select="@positionUpperLeftX" />
    <xsl:text>, </xsl:text>
    <xsl:value-of select="@positionUpperLeftY" />
    <xsl:text>, </xsl:text>
    <xsl:text>FormatUnit.</xsl:text>
    <xsl:value-of select="@unit" />
    <xsl:text>, </xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@image" />
    <xsl:text>"</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

  <xsl:template match="p:asRenderedPage[p:isEqualTo[not(@positionUpperLeftX)]]">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:apply-templates select="@*" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />

    <xsl:text>              .</xsl:text>
    <xsl:choose>
      <xsl:when test="count(p:isEqualTo/@image) > 1">
        <xsl:text>isEqualToImages(</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>isEqualToImage(</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="p:isEqualTo/@positionUpperLeftX">
     <xsl:value-of select="p:isEqualTo/@positionUpperLeftX" />
     <xsl:text>, </xsl:text>
     <xsl:value-of select="p:isEqualTo/@positionUpperLeftY" />
     <xsl:text>, </xsl:text>
    </xsl:if>
    <xsl:for-each select="p:isEqualTo">
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@image" />
      <xsl:text>"</xsl:text>
      <xsl:if test="not(position() = last())">
        <xsl:text>, </xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

  <xsl:template match="p:asRenderedPage/@*">
    <!-- TODO, avoid redundancy -->
    <xsl:choose>
      <xsl:when test="name(.) = 'on'">
        <xsl:text>ON_</xsl:text>
        <xsl:value-of select="." />
      </xsl:when>
      <xsl:when test="name(.) = 'onPage'">
        <xsl:text>PagesToUse.getPages(</xsl:text>
        <xsl:value-of select="." />
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onEveryPageBefore'">
        <xsl:text>OnEveryPage.before(</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onEveryPageAfter'">
        <xsl:text>OnEveryPage.after(</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onAnyPageBefore'">
        <xsl:text>OnAnyPage.before(</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>)</xsl:text>
      </xsl:when>
      <xsl:when test="name(.) = 'onAnyPageAfter'">
        <xsl:text>OnAnyPage.after(</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>)</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>