<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: signature.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:isSigned">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />  
    <xsl:apply-templates select="*" />
  </xsl:template>

  <xsl:template match="p:hasNumberOfSignatures">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasSignature">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@name" /> 
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" /> 
    <xsl:apply-templates select="*" />
  </xsl:template>
  
  <xsl:template match="p:withCertificate/p:validFor">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>DateHelper.getCalendar("</xsl:text>
    <xsl:value-of select="@date" />
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@pattern" />
    <xsl:text>")</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:withCertificate/p:validForCurrentDate">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:withCertificate/p:validFrom">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>DateHelper.getCalendar("</xsl:text>
    <xsl:value-of select="@date" />
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@pattern" />
    <xsl:text>")</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:withCertificate/p:validUntil">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>DateHelper.getCalendar("</xsl:text>
    <xsl:value-of select="@date" />
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@pattern" />
    <xsl:text>")</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>

  <xsl:template match="p:hasSignature/p:coveringWholeDocument">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withSigningName">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@name" /> 
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withSigningDate">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>DateHelper.getCalendar("</xsl:text>
    <xsl:value-of select="@date" />
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@pattern" />
    <xsl:text>"), </xsl:text>
    <xsl:text>DateResolution.DATE</xsl:text>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withRevision">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="@nr" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withNumberOfRevisions">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="@nr" />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withReason">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignature/p:withCertificate">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" /> 
    <xsl:apply-templates select="*" />
  </xsl:template>
  
  <xsl:template match="p:withCertificate/p:havingSubjectField">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@name" />
    <xsl:text>").withValue("</xsl:text>
    <xsl:value-of select="@value" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" /> 
  </xsl:template>
  
  <xsl:template match="p:hasSignatures">
    <xsl:text>              .</xsl:text>
    <!-- DRY from here ... -->
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:value-of select="$BREAK" />
    <xsl:apply-templates select="*" />
    <!-- ... until here -->
  </xsl:template>
  
  <xsl:template match="p:hasSignatures/p:matchingXML">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@file" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasSignatures/p:matchingXPath">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:text>new XPathExpression(</xsl:text>
    <xsl:text>"</xsl:text>
    <xsl:value-of select="@expr" />
    <xsl:text>"</xsl:text>
    <xsl:if test="@defaultNamespace">
      <xsl:text>, </xsl:text>
      <xsl:text>new DefaultNamespace(</xsl:text>
      <xsl:text>"</xsl:text>
      <xsl:value-of select="@defaultNamespace" />
      <xsl:text>"</xsl:text>
      <xsl:text>)</xsl:text>
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:if test="@withResultType">
      <xsl:text>, </xsl:text>
      <xsl:text>AS_RESULTTYPE_</xsl:text>
      <xsl:value-of select="@withResultType" />
    </xsl:if>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />
  </xsl:template>

</xsl:stylesheet>