<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: stringCompare.xslt 3370 2015-10-30 20:50:26Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>
  <!-- 
    The following templates are used from other stylesheets.
  -->

  <xsl:template match="p:notStartingWith">
    <xsl:text>              </xsl:text>
    <xsl:text>.notStartingWith</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:startingWith">
    <xsl:text>              </xsl:text>
    <xsl:text>.startingWith</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:endingWith">
    <xsl:text>              </xsl:text>
    <xsl:text>.endingWith</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:notEndingWith">
    <xsl:text>              </xsl:text>
    <xsl:text>.notEndingWith</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:containing | p:notContaining | p:matchingComplete">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)"/>
    <xsl:text>("</xsl:text>
    <xsl:choose>
      <xsl:when test="@whitespaces = 'IGNORE'">
        <xsl:value-of select="normalize-space(.)" />
        <xsl:text>"</xsl:text>
        <xsl:text>, IGNORE_WHITESPACES</xsl:text>
      </xsl:when>
      <xsl:when test="@whitespaces = 'KEEP'">
        <xsl:value-of select="." />
        <xsl:text>"</xsl:text>
        <xsl:text>, KEEP_WHITESPACES</xsl:text>
      </xsl:when>
      <xsl:when test="@whitespaces = 'NORMALIZE'">
        <xsl:value-of select="normalize-space(.)" />
        <xsl:text>"</xsl:text>
        <xsl:text>, NORMALIZE_WHITESPACES</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="normalize-space(.)" />
        <xsl:text>"</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:matchingRegex">
    <xsl:text>              </xsl:text>
    <xsl:text>.matchingRegex</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:notMatchingRegex">
    <xsl:text>              </xsl:text>
    <xsl:text>.notMatchingRegex</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>